
%global qt_module qtserialbus

%global examples 1

Summary:          Qt6 - SerialBus component
Name:             qt6-%{qt_module}
Version:          6.5.2
Release:          1

License:          LGPL-3.0-only OR GPL-3.0-only WITH Qt-GPL-exception-1.0
Url:              http://www.qt.io
%global  majmin %(echo %{version} | cut -d. -f1-2)
%global  qt_version %(echo %{version} | cut -d~ -f1)

Source0:          https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz

## upstreamable patches
# workaround FTBFS against kernel-header-5.2.0+
Patch100:         qtserialbus-everywhere-src-5.12.3-SIOCGSTAMP.patch

BuildRequires:    cmake
BuildRequires:    gcc-c++
BuildRequires:    ninja-build
BuildRequires:    qt6-rpm-macros
BuildRequires:    qt6-qtbase-devel >= %{version}
BuildRequires:    qt6-qtbase-private-devel
#libQt6Core.so.6(Qt_5_PRIVATE_API)(64bit)
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}
BuildRequires:    qt6-qtserialport-devel >= %{version}

BuildRequires:    pkgconfig(xkbcommon) >= 0.5.0
BuildRequires:    openssl-devel

%description
Qt Serial Bus (API) provides classes and functions to access the various
industrial serial buses and protocols, such as CAN, ModBus, and others.

%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}
Requires:         qt6-qtbase-devel%{?_isa}
%description devel
%{summary}.

%if 0%{?examples}
%package examples
Summary:          Programming examples for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}
# BuildRequires: qt6-qtserialbus-devel >= %{version}
%description examples
%{summary}.
%endif

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%cmake_qt6 -DQT_BUILD_EXAMPLES:BOOL=%{?examples:ON}%{!?examples:OFF}

cmake --build . %{?_smp_mflags} --verbose

%install
DESTDIR="%{buildroot}" cmake --install .


%ldconfig_scriptlets

%files
%license LICENSES/*
%{_qt6_libdir}/libQt6SerialBus.so.6*
%{_qt6_bindir}/canbusutil
%{_qt6_plugindir}/canbus

%files devel
%{_qt6_headerdir}/QtSerialBus/
%{_qt6_libdir}/libQt6SerialBus.so
%{_qt6_libdir}/libQt6SerialBus.prl
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSerialBusTestsConfig.cmake
%dir %{_qt6_libdir}/cmake/Qt6SerialBus/
%{_qt6_libdir}/cmake/Qt6SerialBus/*.cmake
%{_qt6_archdatadir}/mkspecs/modules/*
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc

%if 0%{?examples}
%files examples
%{_qt6_examplesdir}/
%endif


%changelog
* Wed Nov 29 2023 houhongxun <houhongxun@kylinos.cn> - 6.5.2-1
- 6.5.2

* Tue Aug 08 2023 peijiankang <peijiankang@kylinos.cn> - 6.5.1-1
- 6.5.1

* Fri May 5 2023 EastDong <xudong23@iscas.ac.cn> - 6.5.0-1
- update package

* Wed Nov 30 2022 Jingwiw <wangjingwei@iscas.ac.cn> - 6.4.0-1
- init package
